#ifndef ENTITY_H
#define ENTITY_H

#include "olcPGEX_Graphics2D.h"
#include "olcPixelGameEngine.h"

namespace pabloader {    
class Awoorwae;

class Entity {
protected:
    Awoorwae* game;
    olc::Sprite img;
    olc::GFX2D::Transform2D transform;
    float x, y;
    float xv, yv;
    int w, h;
    int tile = 0;
    int skin = 0;
    int tileCounter = 0;
    bool onGround = false;

public:
    Entity(Awoorwae* game_);
    virtual ~Entity(){};

    virtual olc::rcode Load() = 0;
    virtual void Update(float dt) = 0;
    virtual void Draw() = 0;
};
}

#endif